/*
MovesService pitää kirjaa tehtyjen siirtojen määrästä ja
tallentaa tiedon localstorageen
*/

import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class MovesService {
  // tehtyjen siirtojen määrä
  startingCount: number = 0; 

  public initMoves() {
    // asetetaan tehtyjen siirtojen määrä nollaksi.
    // olio pitää muuttaa JSON-muotoon, kun sen laittaa localstorageen
    localStorage.setItem('moves', JSON.stringify(this.startingCount));
  }
  public getMoves() {
    // haetaan tehtyjen siirtojen määrä localStoragesta
    return JSON.parse(localStorage.getItem('moves') || '');
  }
  public addMove() {
    let moves = this.getMoves();
    // lisätään tehtyihin siirtoihin 1 ja tallennetaan localStorageen
    moves++;
    localStorage.setItem('moves', JSON.stringify(moves));
  }
}
